Name:		libva-utils
Version:	2.21.0
Release:	%mkrel 1
Summary:	VA-API test encoders
Group:		Video/Utilities
License:	MIT
URL:		https://github.com/intel/libva-utils
Source0:	https://github.com/intel/libva-utils/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libva)
BuildRequires:	meson
Obsoletes:	vaapi-encoders < 1.8.3
Obsoletes:	vainfo < 1.8.3

%description
This package provides the example encoders binaries to use VA API.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md NEWS
%license COPYING
%{_bindir}/av1encode
%{_bindir}/avcenc
%{_bindir}/avcstreamoutdemo
%{_bindir}/h264encode
%{_bindir}/hevcencode
%{_bindir}/jpegenc
%{_bindir}/loadjpeg
%{_bindir}/mpeg2vaenc
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
%{_bindir}/putsurface_wayland
%{_bindir}/sfcsample
%{_bindir}/vacopy
%{_bindir}/vainfo
%{_bindir}/vavpp
%{_bindir}/vp8enc
%{_bindir}/vp9enc
%{_bindir}/vpp3dlut
%{_bindir}/vppblending
%{_bindir}/vppchromasitting
%{_bindir}/vppdenoise
%{_bindir}/vpphdr_tm
%{_bindir}/vppscaling_csc
%{_bindir}/vppscaling_n_out_usrptr
%{_bindir}/vppsharpness


%changelog
* Sat Mar 30 2024 ghibo <ghibo> 2.21.0-1.mga9
+ Revision: 2053304
- Update to version 2.21.0

* Wed Oct 19 2022 ghibo <ghibo> 2.16.0-1.mga9
+ Revision: 1897654
- Update to release 2.16.0

* Wed Mar 30 2022 umeabot <umeabot> 2.13.0-2.mga9
+ Revision: 1834833
- Mageia 9 Mass Rebuild

* Tue Oct 05 2021 luigiwalser <luigiwalser> 2.13.0-1.mga9
+ Revision: 1749573
- 2.13.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 2.12.0-1.mga9
+ Revision: 1738786
- 2.12.0

* Thu Apr 01 2021 daviddavid <daviddavid> 2.11.0-1.mga9
+ Revision: 1712324
- new version: 2.11.0

* Sun Dec 20 2020 luigiwalser <luigiwalser> 2.10.0-1.mga8
+ Revision: 1661462
- 2.10.0

* Tue Oct 27 2020 luigiwalser <luigiwalser> 2.9.1-1.mga8
+ Revision: 1639915
- 2.9.1

* Fri Sep 25 2020 luigiwalser <luigiwalser> 2.9.0-1.mga8
+ Revision: 1630134
- 2.9.0

* Wed Jul 01 2020 zezinho <zezinho> 2.8.0-1.mga8
+ Revision: 1600948
- new version 2.8.0

* Mon Apr 06 2020 zezinho <zezinho> 2.7.1-1.mga8
+ Revision: 1565225
- new version

* Sun Feb 16 2020 umeabot <umeabot> 2.5.0-3.mga8
+ Revision: 1534243
- Mageia 8 Mass Rebuild

* Mon Sep 30 2019 zezinho <zezinho> 2.5.0-2.mga8
+ Revision: 1448222
- do not remove any binary built
- new version 2.5.0

* Thu Apr 18 2019 umeabot <umeabot> 2.4.0-2.mga7
+ Revision: 1392794
- Rebuild with meson 0.50.1

* Sat Mar 16 2019 zezinho <zezinho> 2.4.0-1.mga7
+ Revision: 1378089
- new version 2.4.0

* Sat Oct 06 2018 daviddavid <daviddavid> 2.3.0-1.mga7
+ Revision: 1318138
- new version: 2.3.0
- switch to meson build system

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1299208
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 zezinho <zezinho> 2.1.0-1.mga7
+ Revision: 1215310
- add vavpp and vp9enc
- new version 2.1.0

* Wed Sep 13 2017 zezinho <zezinho> 1.8.3-1.mga7
+ Revision: 1153346
- add vainfo binary
- obsolete old rpms
- imported package libva-utils

